Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.processor.policy
Class PolicyInvocation

    java.lang.Object
      org.mule.api.processor.policy.PolicyInvocation

    public class PolicyInvocation

extends Object

Constructor Summary
`PolicyInvocation(MuleEvent event, List<AroundPolicy> policies, MessageProcessor processor)`

Method Summary
`AroundPolicy` | `getCurrentPolicy()`
`MuleEvent` | `getEvent()`
`MessageProcessor` | `getMessageProcessor()`
`List<AroundPolicy>` | `getPolicies()`
`MuleEvent` | `proceed()` Proceed using the current event.
`void` | `setEvent(MuleEvent event)` Replace the event object completely.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyInvocation

    public PolicyInvocation(MuleEvent event,
                            List<AroundPolicy> policies,
                            MessageProcessor processor)

Method Detail

### proceed

    public MuleEvent proceed()
                      throws MuleException

  Proceed using the current event.

  Throws:
    `MuleException`
  See Also:
    `setEvent(org.mule.api.MuleEvent)`

### getEvent

    public MuleEvent getEvent()

### setEvent

    public void setEvent(MuleEvent event)

  Replace the event object completely. Note that most of the time it's enough to simply modify the event without any rewriting.

  See Also:
    `getEvent()`

### getCurrentPolicy

    public AroundPolicy getCurrentPolicy()

  Returns:
    policy at the current index in the list

### getMessageProcessor

    public MessageProcessor getMessageProcessor()

### getPolicies

    public List<AroundPolicy> getPolicies()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.